Get Sddc Lcm

Get Sddc Lcm

Get a registered SDDC LCM by ID.

Request
URI
GET
https://vcf.broadcom.com/fleet-lcm/v1/sddc-lcms/{sddcLcmId}
COPY
Path Parameters
string
sddcLcmId
Required

Id of SDDC LCM.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SddcLcm of type(s) application/json
{
    "sddcGroupFqdn": "sddcGroupFqdn",
    "fqdn": "fqdn",
    "isPrimary": true,
    "vspClusters": [
        {
            "fqdn": "fqdn",
            "certificate": "certificate",
            "id": "id",
            "type": "MANAGEMENT"
        },
        {
            "fqdn": "fqdn",
            "certificate": "certificate",
            "id": "id",
            "type": "MANAGEMENT"
        }
    ],
    "backupConfig": {
        "incrementalSchedule": {
            "interval": 1,
            "fallbackToFull": true,
            "enabled": true
        },
        "storage": {
            "sftp": ""
        },
        "retention": {
            "maxBackups": 1,
            "maxAgeBackups": 1
        },
        "fullSchedule": {
            "schedule": {
                "days": [
                    "MON",
                    "TUE",
                    "WED",
                    "THU",
                    "FRI",
                    "SAT",
                    "SUN"
                ],
                "startTime": "startTime"
            },
            "enabled": true
        }
    },
    "sddcGroupId": "sddcGroupId",
    "vcenter": {
        "fqdn": "fqdn",
        "sslThumbprint": "sslThumbprint",
        "id": "id"
    },
    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
    "fleetDepot": {
        "fqdn": "fqdn",
        "certificate": "certificate"
    },
    "sddcGroupName": "sddcGroupName",
    "sddcGroupCertificate": "sddcGroupCertificate",
    "status": "HEALTHY"
}
string As uuid As uuid
id
Required

SDDC LCM identifier.

string
fqdn
Required

SDDC LCM service fqdn.

boolean
isPrimary
Optional

Whether this is the primary instance of the Fleet.

string
sddcGroupId
Required

SDDC Group identifier.

string
sddcGroupName
Required

SDDC Group name.

string
sddcGroupFqdn
Optional

SDDC Group fqdn.

string
sddcGroupCertificate
Optional

PEM encoded certificate (chain).

object
vcenter
Optional

vcenter

array of object
vspClusters
Optional

vspClusters

object
fleetDepot
Optional

Fleet Depot Service associated with the SDDC LCM.

object
backupConfig
Optional

Backup configuration for a component/cluster.

string
status
Optional

A common status object to define the health of a service.

Possible values are : HEALTHY, OFFLINE,

401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


404

The specified resource was not found

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal server error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/fleet-lcm/v1/sddc-lcms/{sddcLcmId}